io.vertx.rxjava.ext.web.templ.thymeleaf

## Class ThymeleafTemplateEngine

- java.lang.Object
- - io.vertx.rxjava.ext.web.common.template.TemplateEngine
  - - io.vertx.rxjava.ext.web.templ.thymeleaf.ThymeleafTemplateEngine

-     public class ThymeleafTemplateEngine
      extends TemplateEngine

  A template engine that uses the Thymeleaf library. The `TemplateEngine.unwrap()` shall return an object of class `TemplateEngine`

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ThymeleafTemplateEngine>` | `__TYPE_ARG`
    `static org.thymeleaf.templatemode.TemplateMode` | `DEFAULT_TEMPLATE_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThymeleafTemplateEngine(Object delegate)`
    `ThymeleafTemplateEngine(ThymeleafTemplateEngine delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ThymeleafTemplateEngine` | `create(Vertx vertx)` Create a template engine using defaults
    `boolean` | `equals(Object o)`
    `ThymeleafTemplateEngine` | `getDelegate()`
    `int` | `hashCode()`
    `static ThymeleafTemplateEngine` | `newInstance(ThymeleafTemplateEngine arg)`
    `ThymeleafTemplateEngine` | `setMode(org.thymeleaf.templatemode.TemplateMode mode)` Deprecated.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.web.common.template.TemplateEngine

      `clearCache, newInstance, render, render, render, render, rxRender, rxRender, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ThymeleafTemplateEngine> __TYPE_ARG

    - #### DEFAULT_TEMPLATE_MODE

          public static final org.thymeleaf.templatemode.TemplateMode DEFAULT_TEMPLATE_MODE

  - ### Constructor Detail

    - #### ThymeleafTemplateEngine

          public ThymeleafTemplateEngine(ThymeleafTemplateEngine delegate)

    - #### ThymeleafTemplateEngine

          public ThymeleafTemplateEngine(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TemplateEngine`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `TemplateEngine`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `TemplateEngine`

    - #### getDelegate

          public ThymeleafTemplateEngine getDelegate()

      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static ThymeleafTemplateEngine create(Vertx vertx)

      Create a template engine using defaults
      Parameters:
        `vertx` -
      Returns:
        the engine

    - #### setMode

          @Deprecated
          public ThymeleafTemplateEngine setMode(org.thymeleaf.templatemode.TemplateMode mode)

      Deprecated.
      Parameters:
        `mode` - the mode
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static ThymeleafTemplateEngine newInstance(ThymeleafTemplateEngine arg)

Copyright © 2021 Eclipse. All rights reserved.